<?php

use WPGDPRC\Utils\Elements;
use WPGDPRC\Utils\Template;

/**
 * @var string $class
 * @var string $title_class
 * @var string $title
 * @var string $text
 * @var string $link_title
 * @var string $link_url
 */

$link_class = strpos($class, '--primary') ? 'wpgdprc-link--white' : '';
$footer     = '';
if( !empty($link_title) && !empty($link_url) ) {
    $footer = Elements::getLink(
        $link_url,
        $link_title,
        [ 'class' => implode(' ', [ 'wpgdprc-tile__link', 'wpgdprc-link', esc_attr($link_class) ]) ]
    );
}

Template::render('Admin/tile', [
    'class'       => $class,
    'heading'     => 3,
    'title_class' => $title_class,
    'title'       => $title,
    'text'        => $text,
    'footer'      => $footer,
]);
