<?php

use WPGDPRC\Objects\DataProcessor;
use WPGDPRC\Utils\AdminForm;
use WPGDPRC\WordPress\Admin\Pages\PageSettings;
use WPGDPRC\WordPress\Plugin;
use WPGDPRC\WordPress\Settings;

$section = PageSettings::SECTION_CONSENT;
$fields  = PageSettings::getSectionFields($section);
$notice  = PageSettings::getShortcodeNotice(false, false);
$premium = Settings::isPremium();

?>

<h3 class="screen-reader-text">
    <?php _ex('Consent bar', 'admin', 'wp-gdpr-compliance'); ?>
</h3>

<div class="wpgdprc-form wpgdprc-form--consent-bar">
	<div class="grid-x grid-margin-x grid-margin-y">
		<div class="cell large-12">
			<div class="wpgdprc-form__intro">
				<div class="wpgdprc-form__title-container">
					<h4 class="wpgdprc-form__title h3">
                        <?php _ex('Bar Settings', 'admin', 'wp-gdpr-compliance'); ?>
					</h4>
				</div>
				<p class="wpgdprc-form__text <?php if( $premium ) echo 'hidden'; ?>">
                    <?php echo $notice; ?>
				</p>
				<p class="wpgdprc-form__text <?php if( !$premium ) echo 'hidden'; ?>">
                    <?php printf(_x('Style your Consent Bar and Consent Pop-up at %1s.', 'admin', 'wp-gdpr-compliance'), _x('your Cookie Information account', 'admin', 'wp-gdpr-compliance')); ?>
				</p>
			</div>
		</div>
		<div class="cell wpgdprc-form--fields <?php if( $premium ) echo 'hidden'; ?>">
			<fieldset>
				<legend class="screen-reader-text"><?php _ex('Bar Settings', 'admin', 'wp-gdpr-compliance'); ?></legend>

				<div class="grid-x grid-margin-x grid-margin-y">
					<div class="cell">
						<div class="wpgdprc-form__field">
							<span class="wpgdprc-form__label"><?php _ex('Preview', 'admin', 'wp-gdpr-compliance'); ?></span>
                            <?php DataProcessor::renderBar(); ?>
						</div>
					</div>
					<div class="cell large-7">
						<div class="grid-x grid-margin-x grid-margin-y">

							<div class="cell">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_EXPLAIN_TEXT ]) ) : ?>
									<div class="wpgdprc-form__field wpgdprc-form__field--explaintext">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_EXPLAIN_TEXT ]); ?>
									</div>
                                <?php endif; ?>
							</div>

							<div class="cell large-6">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_FONT ]) ) : ?>
									<div class="wpgdprc-form__field wpgdprc-form__field--font">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_FONT ]); ?>
									</div>
                                <?php endif; ?>
							</div>

							<div class="cell large-6">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_POSITION ]) ) : ?>
									<div class="wpgdprc-form__field">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_POSITION ]); ?>
									</div>
                                <?php endif; ?>
							</div>

<!--                            <div class="cell">-->
<!--								--><?php //if( isset($fields[ Settings::KEY_CONSENT_API_KEY ]) ) : ?>
<!--                                    <div class="wpgdprc-form__field wpgdprc-form__field--explaintext">-->
<!--										--><?php //AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_API_KEY ]); ?>
<!--                                    </div>-->
<!--								--><?php //endif; ?>
<!--                            </div>-->

						</div>
					</div>
					<div class="cell large-5">
						<div class="grid-x grid-margin-x grid-margin-y">

							<div class="cell xxlarge-6">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_BTN_TEXT ]) ) : ?>
									<div class="wpgdprc-form__field wpgdprc-form__field--buttontext">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_BTN_TEXT ]); ?>
									</div>
                                <?php endif; ?>
							</div>

							<div class="cell xxlarge-6">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_INFO_TEXT ]) ) : ?>
									<div class="wpgdprc-form__field wpgdprc-form__field--moretext">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_INFO_TEXT ]); ?>
									</div>
                                <?php endif; ?>
							</div>

							<div class="cell xxlarge-6">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_BG_COLOR ]) ) : ?>
									<div class="wpgdprc-form__field wpgdprc-form__field--colorpicker">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_BG_COLOR ]); ?>
									</div>
                                <?php endif; ?>
							</div>

							<div class="cell xxlarge-6">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_TEXT_COLOR ]) ) : ?>
									<div class="wpgdprc-form__field wpgdprc-form__field--colorpicker">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_TEXT_COLOR ]); ?>
									</div>
                                <?php endif; ?>
							</div>

							<div class="cell xxlarge-6">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_BTN_PRIMARY ]) ) : ?>
									<div class="wpgdprc-form__field wpgdprc-form__field--colorpicker">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_BTN_PRIMARY ]); ?>
									</div>
                                <?php endif; ?>
							</div>

							<div class="cell xxlarge-6">
                                <?php if( isset($fields[ Settings::KEY_CONSENT_BTN_SECONDARY ]) ) : ?>
									<div class="wpgdprc-form__field wpgdprc-form__field--colorpicker">
                                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_BTN_SECONDARY ]); ?>
									</div>
                                <?php endif; ?>
							</div>

						</div>
					</div>
				</div>
			</fieldset>
		</div>
		<div class="cell wpgdprc-form--fields large-7 <?php if( $premium ) echo 'hidden'; ?>">
			<fieldset class="wpgdprc-form__block wpgdprc-form__block--modal-settings">
				<legend class="wpgdprc-form__legend h3"><?php _ex('Consent Pop-up Settings', 'admin', 'wp-gdpr-compliance'); ?></legend>

                <?php if( isset($fields[ Settings::KEY_CONSENT_MODAL_TITLE ]) ) : ?>
					<div class="wpgdprc-form__field">
                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_MODAL_TITLE ]); ?>
					</div>
                <?php endif; ?>

                <?php if( isset($fields[ Settings::KEY_CONSENT_MODAL_TEXT ]) ) : ?>
					<div class="wpgdprc-form__field">
                        <?php AdminForm::renderSettingFieldFromArray($fields[ Settings::KEY_CONSENT_MODAL_TEXT ]); ?>
					</div>
                <?php endif; ?>

			</fieldset>
		</div>
		<div class="cell wpgdprc-form--fields <?php if( $premium ) echo 'hidden'; ?>">
			<div class="wpgdprc-form__field wpgdprc-form__field--submit">
                <?php AdminForm::renderSubmitButton($section); ?>
			</div>
		</div>
	</div>
</div>
