<?php

/**
 * @var string $explanation
 * @var string $settings_button
 * @var string $accept_button
 */

use WPGDPRC\WordPress\Front\Consent\Bar;

$position = !is_admin() ? Bar::getPosition() : '';
$class = is_admin() ? 'wpgdprc-consent-bar--admin' : '';
$class .= $position ? "wpgdprc-consent-bar--position-{$position}" : '';

// always start with the bar hidden
?>
<div class="wpgdprc-consent-bar <?php echo esc_attr($class); ?>" style="display: none;">
    <div class="wpgdprc-consent-bar__inner">
        <div class="wpgdprc-consent-bar__container">
            <div class="wpgdprc-consent-bar__content">
                <div class="wpgdprc-consent-bar__column wpgdprc-consent-bar__column--notice">
                    <div class="wpgdprc-consent-bar__notice"><?php echo $explanation; ?></div>
                </div>
                <div class="wpgdprc-consent-bar__column wpgdprc-consent-bar__column--settings">
                    <button class="wpgdprc-button wpgdprc-button--settings"
                            data-micromodal-trigger="wpgdprc-consent-modal"
                            aria-expanded="false"
                            aria-haspopup="true"
                    >
                        <?php echo $settings_button; ?>
                    </button>
                </div>
                <div class="wpgdprc-consent-bar__column wpgdprc-consent-bar__column--accept">
                    <button class="wpgdprc-button wpgdprc-button--accept">
                        <?php echo $accept_button; ?>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
