<?php
namespace WPGDPRC\WordPress\Ajax;

use WPGDPRC\Utils\Template;
use WPGDPRC\WordPress\Plugin;
use WPGDPRC\WordPress\Settings;

/**
 * Class UpdatePremiumMode
 * @package WPGDPRC\WordPress\Ajax
 */
class UpdatePremiumMode extends AbstractAjax {

    /**
     * Returns AJAX action name
     * @return string
     */
    protected static function getAction() {
        return Plugin::PREFIX . '_update_premium';
    }

    /**
     * Determines if AJAX is public
     * @return bool
     */
    protected static function isPublic() {
        return false;
    }

    /**
     * @return array
     */
    public static function requiredData() {
        return [ 'checked' ];
    }

    /**
     * Builds the AJAX response
     * (security handling + data validation -if any- is done in the abstract class)
     * @param array $data
     */
    public static function buildResponse( $data = [] ) {
        $checked  = filter_var($data['checked'], FILTER_VALIDATE_BOOLEAN);
        $success  = Settings::saveSetting(Settings::KEY_PREMIUM, $checked);
        $response = [
            'success' => $success,
            'premium' => Settings::isPremium(),
            'header'  => Template::get('Admin/header'),
        ];
        static::returnResponse($response);
    }

}
